ComponentOne IntelliSpell Overview
ComponentOne IntelliSpell for Visual Studio Search Helpcentral Search HelpCentral

ComponentOne IntelliSpell Overview

Previous Next

Adding spell-checking capabilities to Visual Studio 2005 or 2008, the ComponentOne IntelliSpell package gives you the power to effortlessly deliver products free of spelling errors. Visual Studio is the most powerful and popular software development environment; however, it lacks spell-checking capabilities that exist in other authoring packages such as Microsoft Word and Expression.

ComponentOne IntelliSpell comes in two editions:

· The Community Edition is a free version that allows you to check one file at a time. You can use it for as long as you like, and share it with your friends and co-workers.

· The Professional Edition can check entire projects and solutions, including localized applications. It is included with the ComponentOne Studio Enterprise, and is also available as a stand-alone product (for pricing information please visit www.componentone.com).

With ComponentOne IntelliSpell, you have the power to eliminate spelling mistakes quickly and easily. Simply tell C1IntelliSpell to check a document, an entire project, or even a whole solution. Get started with C1IntelliSpell today and make the most of your Visual Studio experience.

Installing C1IntelliSpell

Technical Support

About This Documentation

Send comments about this topic to ComponentOne.
© 1987-2008 ComponentOne LLC. All rights reserved.


Installing C1IntelliSpell

ComponentOne IntelliSpell Overview > Installing C1IntelliSpell
ComponentOne IntelliSpell for Visual Studio Search Helpcentral Search HelpCentral

Installing C1IntelliSpell

Previous Next

The following sections provide helpful information on installing ComponentOne IntelliSpell.

C1IntelliSpell Setup Files

System Requirements

Installing Demonstration Versions

Uninstalling C1IntelliSpell


C1IntelliSpell Setup Files

ComponentOne IntelliSpell Overview > Installing C1IntelliSpell > C1IntelliSpell Setup Files
ComponentOne IntelliSpell for Visual Studio Search Helpcentral Search HelpCentral

C1IntelliSpell Setup Files

Previous Next

The ComponentOne IntelliSpell for Visual Studio installation program will create the following directory C:\Program Files\ComponentOne\IntelliSpell (unless you select a different location during the setup). The directory contains the following subdirectories:

bin | Contains copies of all ComponentOne IntelliSpell binaries (DLLs, DCTs).
Help | Contains documentation for ComponentOne IntelliSpell.


System Requirements

ComponentOne IntelliSpell Overview > Installing C1IntelliSpell > System Requirements
ComponentOne IntelliSpell for Visual Studio Search Helpcentral Search HelpCentral

System Requirements

Previous Next

System requirements include the following:

Operating Systems: | Windows 2000 Windows 2003 Server Windows XP SP2 Windows Vista
Environments: | Microsoft Visual Studio 2005 or 2008
Disc Drive: | CD or DVD-ROM drive if installing from CD


Installing Demonstration Versions

ComponentOne IntelliSpell Overview > Installing C1IntelliSpell > Installing Demonstration Versions
ComponentOne IntelliSpell for Visual Studio Search Helpcentral Search HelpCentral

Installing Demonstration Versions

Previous Next

If you wish to try ComponentOne IntelliSpell and do not have a serial number, follow the steps through the installation wizard and use the default serial number. ComponentOne IntelliSpell comes in two editions:

· The Community Edition is a free version that allows you to check one file at a time. You can use it for as long as you like, and share it with your friends and co-workers.

· The Professional Edition can check entire projects and solutions, including localize applications. It is included with the ComponentOne Studio Enterprise, and is also available as a stand-alone product (for pricing information please visit www.componentone.com).


Uninstalling C1IntelliSpell

ComponentOne IntelliSpell Overview > Installing C1IntelliSpell > Uninstalling C1IntelliSpell
ComponentOne IntelliSpell for Visual Studio Search Helpcentral Search HelpCentral

Uninstalling C1IntelliSpell

Previous Next

To uninstall C1IntelliSpell:

1. Open the Control Panel and select Add or Remove Programs.

2. Select ComponentOne IntelliSpell for Visual Studio and click the Remove button.

3. Click Yes to remove the program.


Technical Support

ComponentOne IntelliSpell Overview > Technical Support

Technical Support

Previous Next

ComponentOne offers various support options. For a complete list and a description of each, visit the ComponentOne Web site at http://www.componentone.com/Support.

Some methods for obtaining technical support include:

· Online Support via HelpCentral
ComponentOne HelpCentral provides customers with a comprehensive set of technical resources in the form of FAQs, samples, Version Release History, Articles, searchable Knowledge Base, searchable Online Help, and more. We recommend this as the first place to look for answers to your technical questions.

· Online Support via our Incident Submission Form
This online support service provides you with direct access to our Technical Support staff via an online incident submission form. When you submit an incident, you'll immediately receive a response via e-mail confirming that you've successfully created an incident. This email will provide you with an Issue Reference ID and will provide you with a set of possible answers to your question from our Knowledgebase. You will receive a response from one of the ComponentOne staff members via e-mail in 2 business days or less.

· Peer-to-Peer Product Forums and Newsgroups
ComponentOne peer-to-peer product forums and newsgroups are available to exchange information, tips, and techniques regarding ComponentOne products. ComponentOne sponsors these areas as a forum for users to share information. While ComponentOne does not provide direct support in the forums and newsgroups, we periodically monitor them to ensure accuracy of information and provide comments when appropriate. Please note that a ComponentOne User Account is required to participate in the ComponentOne Product Forums.

· Installation Issues
Registered users can obtain help with problems installing ComponentOne products. Contact technical support by using the online incident submission form or by phone (412.681.4738). Please note that this does not include issues related to distributing a product to end-users in an application.

· Documentation
ComponentOne documentation is available with each of our products in HTML Help, Microsoft Help 2.0 (WinForms, ASP.NET, and Mobile Device products only), and NetHelp format. The NetHelp version of the documentation is also available on HelpCentral. If you have suggestions on how we can improve our documentation, please email the Documentation team. Please note that e-mail sent to the Documentation team is for documentation feedback only. Technical Support and Sales issues should be sent directly to their respective departments.

Note: You must create a ComponentOne Account and register your product with a valid serial number to obtain support using some of the above methods.


About This Documentation

ComponentOne IntelliSpell Overview > About This Documentation
ComponentOne IntelliSpell for Visual Studio Search Helpcentral Search HelpCentral

About This Documentation

Previous Next

Acknowledgements

Microsoft, Windows, Windows Vista, and Visual Studio are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

ComponentOne

If you have any suggestions or ideas for new features or controls, please call us or write:

Corporate Headquarters

ComponentOne LLC
201 South Highland Avenue
3rd Floor
Pittsburgh, PA 15206 • USA
412.681.4343
412.681.4384 (Fax)

http://www.componentone.com/

ComponentOne Doc-To-Help

This documentation was produced using ComponentOne Doc-To-Help® Enterprise and Documenter® for .NET.


Key Features

Key Features

Eliminate spelling mistakes in Visual Studio 2005 and 2008 quickly and easily with C1IntelliSpell. Benefit from using C1IntelliSpell, featuring:

· Specialized spell-checking engine that doesn't require Microsoft Office installation
C1IntelliSpell has its own spell-checking engine and does not rely on the Microsoft Office spelling services; therefore, you do not need to have Microsoft Office installed in order to spell-check your applications. (C1IntelliSpell uses the C1SpellChecker control, included in the ComponentOne SpellChecker for WinForms product.)

· Catch spelling mistakes on a Web page, Windows form, or XML-based documentation
C1IntelliSpell enables you to spell-check a variety of document types, giving you the ability to correct spelling mistakes before the product ships.

· Check a document, an entire project, or even a whole solution
With the recommended Professional Edition you have the power to spell-check an entire solution by clicking one button!

· IntelliSpell Professional Edition makes it easy with a wide selection of dictionaries
ComponentOne IntelliSpell Community Edition only comes with the English dictionary, but an upgrade to the Professional Edition provides 16 different dictionaries including English (US, UK, Canada, and Australia), French (France and Canada), Italian, German, Spanish (Spain, Mexico, and Argentina), and much more.

· Time-saving, one-stop spell checking
If you use XML-based documentation, this will eliminate the need to import the help content into a Word-processing application for spell checking, and then having to go back to the source code to fix the errors.

· Microsoft Word-like spell checking
Using C1IntelliSpell you will get a list of all the spelling mistakes, complete with a wavy underline indicating any spelling mistakes within the application, and a context-sensitive menu offering spelling suggestions.

· ComponentOne IntelliSpell makes spell correction easy with its Task List
All spell-checking data can easily be tracked within the Task List (line item spelling mistakes). This makes it easy to run through corrections for an entire project (Professional).


Getting Started

Getting Started

Once you've installed C1IntelliSpell, use any one of the following methods to start spell checking your projects in Visual Studio:

· From the Visual Studio menu:
Select Tools | ComponentOne IntelliSpell.

· From the C1IntelliSpell Visual Studio toolbar:
Right-click an empty part of the Visual Studio toolbar area and make sure the ComponentOne IntelliSpell toolbar is checked. Then select a command from the toolbar to begin spell checking.

· From the Visual Studio Task List:
Select View | Task List and make sure the ComponentOne IntelliSpell item is selected on the list.

All spell-checking options offer the same commands:

· Check Active Document – Spell-checks the document that is currently open in the editor. If the document is a code file, any associated files (such as designer and resource files) are also spell-checked.

· Check Current Project – Spell-checks all files in the current project.

· Check Entire Solution – Spell-checks all files in the current solution.

· Check Selected Documents – Spell-checks all documents that are selected in the Project Explorer window.

· Options – Shows a dialog box that allows you to select several spell-checking options.

· About ComponentOne IntelliSpell – Shows the About ComponentOne IntelliSpell dialog box that contains information about the current version, whether you are using the Community or the Professional Edition, upgrade and update options.

The C1IntelliSpell toolbar offers the following commands:

Finding and Fixing Spelling Errors


Finding and Fixing Spelling Errors

Getting Started > Finding and Fixing Spelling Errors

Finding and Fixing Spelling Errors

Previous Next

Regardless of how you initiate the spell-checking process (from the menu, toolbar, or Task List buttons), C1IntelliSpell will check the elements you selected and display the errors in a Task List, as shown below:

The list shows the offending word, whether it is a spelling error or a repeated word, the file, location, and locale used to perform the check (the default locale is always US English).

Above the list there is a toolbar with buttons for invoking all C1IntelliSpell commands and a drop-down list that allows you to filter the list by file.

You have several options for fixing the errors, which are listed below.

Option 1: Document Context Menu

Double-click the item on the list to open the document and move the cursor to the error location (the offending word will be underlined). You can now fix the error simply by typing directly in the document or by right-clicking the word and selecting a suggestion from the context-sensitive menu.

Option 2: Task List Context Menu

Right-click the item and select the ComponentOne IntelliSpell menu item to see a list of suggestions. Pick the appropriate suggestion and the correction will be made for you.

Option 3: Spell Checker Window

Click the Show Spell Checker Window button on the toolbar, or select that option from the context-sensitive menu where the suggestions are displayed. This will show a tool window that is similar to the spell-checking dialog boxes in most word processors:

The ComponentOne IntelliSpell dialog box allows you to make corrections by double-clicking the appropriate suggestion on the list. You can also add words to a custom list, or choose to ignore a word for the current spell-checking session.


Spell-Checking Options

Spell-Checking Options

ComponentOne IntelliSpell is a flexible tool. You can configure it using the Options command (available on the C1IntelliSpell menu, toolbars, and Task List). The command shows the ComponentOne IntelliSpell Options dialog box, which looks like this:

The dialog box is divided into four sections:

Spell Dictionaries:

This section allows you to set which dictionary to use with an additional multi-language spell-checking option. Available options include:

· Main Dictionary
Selects the default dictionary to use for spell checking your applications. The default dictionary is American English, but there are 15 other options, including Spanish, French, German, Italian, Portuguese, Russian, Dutch, and Greek.

· User dictionary
Selects the file used to store custom words that should be ignored by the spell checker. You can add words to the dictionary by clicking the Add button in the C1IntelliSpell window.

· Enable multi-language checking for localized projects
If you check this option, C1IntelliSpell will automatically switch dictionaries when spell checking resource files. To create localized projects, set the Localized property on the forms to true, and then switch the Language property to create resources in as many additional languages as you want.

Files to Check:

Specify which files to spell-check, including:

· Code
Check this box to check code files. The next three boxes are sub-items that allow further customization.

· All comments
Check this box to spell-check all comments (regular comments and XML documentation).

· Xml documentation comments
Check this box to skip regular comments and spell-check only the XML documentation comments (comments that start with three slashes in C# and three single quotes in VB).

· Strings
Check this box to spell-check strings defined in the code.

· Html
Check this box to spell-check HTML files (including ASPX files).

· Xml
Check this box to spell-check XML and XAML files.

· Resources
Check this box to spell-check strings in resource files.

· Text
Check this box to spell-check plain text files in the project (typically readme.txt files).

Spelling Options:

Set spelling options, including:

· Ignore…
This section allows you to select types of words that should be skipped, such as words in mixed case, all uppercase, or words that look like URLs or file names.

· Maximum Suggestions
This option allows you to select the maximum number of suggestions to display for each misspelled word. Suggestions appear in context-sensitive menus and also in the C1IntelliSpell tool window.

Spell-check After Build:

This section allows you to automatically invoke the spell checker after building the project. Available options include:

· Never
Do not automatically spell-check the project after building it.

· After every build
Automatically spell-check the project after every build.

· After release builds
Spell-check the project automatically after every build that contains the word "Release" in its name.


Suspend and Restore Spell Checking

Suspend and Restore Spell Checking

Some files may contain text that should not be spell-checked. For example, code files may contain code that is commented out, or strings that are not words, or international text that is not stored in localized resource files.

You may suspend and restore spell checking for entire files or parts of files by including the strings "#c1spell(off)" and "#c1spell(on)" in comments. For example:

// this is old code, not real comments, so turn spell checking off
// #c1spell(off) // suspend spell checking
//TypeConverter converter = pd.Converter;
//if (converter.CanConvertFrom(typeof(string)))
// #c1spell(on) // restore spell checking
// strings that encode information (not real text)
// #c1spell(off) // suspend spell checking
string s1 = "xxxdddddllksss";
string s2 = "xxlldddkkddlls";
// #c1spell(on) // restore spell checking

The text that is highlighted will not be spell-checked by C1IntelliSpell.

The same technique works for XML, HTML, and plain text files. Simply surround the text you don't want to spell-check between "#c1spell(off)" and "#c1spell(on)". For example:

<?xml version="1.0" encoding="utf-8" ?>
<content>
  <text id="English">
    This is some stouff that wioll be spel-checked.
  </text>
  <!-- #c1spell(off) -->
  <text id="Portuguese">
    Este texto nao sera analisado.
  </text>
  <!-- #c1spell(on) -->
</content>


Spell-Checking Identifiers

Spell-Checking Identifiers

Note: This is a Visual Studio 2008 feature. It is not available in Visual Studio 2005 and is not related in any way to the ComponentOne IntelliSpell package.

This version of C1IntelliSpell does not spell-check identifiers such as variable names. This feature may be added to a future version.

If you are using Visual Studio 2008, you can use the code analysis tools in Visual Studio to spell-check your identifiers. To do that:

1. Right-click your project and select Properties.

2. Then click the Code Analysis tab on the left of the page.

You will see a list of "Naming Rules" that includes several spell-checking options, as shown below:

3. Select the options you want and close the dialog box.

4. From the Build menu, select the Run Code Analysis option.

Visual Studio spell-checks your identifiers for you. Any errors found will be displayed as warning in the Visual Studio Error List, as shown below:


ComponentOne IntelliSpell for Visual Studio Search Helpcentral Search HelpCentral